<?php
// Version: 1.1; Memberlist

// Displays a sortable listing of all members registered on the forum.
function template_main()
{
	global $context, $settings, $options, $scripturl, $txt;

	// Show the link tree.
	echo '<div class="linktree">', theme_linktree(), '</div>';
	


		// Display links to view all/search.
		echo '<div class="buttons">';

		foreach ($context['sort_links'] as $link)
		{
			if ($link['selected'])
				echo '
				<i>
					<a href="' . $scripturl . '?action=mlist' . (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '">', $link['label'], '</a> - 
				</i>';
			else
				echo '
				
					<a href="' . $scripturl . '?action=mlist' . (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '">', $link['label'], '</a>
				';
		}

		echo '</div>';


		// Display page numbers and the a-z links for sorting by name if not a result of a search.
		if (!isset($context['old_search']))
			echo '
				<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['page_index'], '</span></div>
				<div class="pageindex"><span class="pagenavbar">
				', $context['letter_links'] . '</span></div>';
					
		// If this is a result of a search then just show the page numbers.
		else
			echo '<div class="pageindex"><span class="pagenavbar">
				', $txt[139], ': ', $context['page_index'] ,'</span></div>';

		echo '<div class="messhead" style="padding:5px 0 5px 5px;font-size:12px;">';		

	// Display each of the column headers of the table.
	foreach ($context['columns'] as $column)
	{
		// We're not able (through the template) to sort the search results right now...
		if (isset($context['old_search']))
			echo '
			
				', $column['label'], ', ';
		// This is a selected solumn, so underline it or some such.
		elseif ($column['selected'])
			echo '
			
				<a href="' . $column['href'] . '">' . $column['label'] . ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" /></a>, ';
		// This is just some column... show the link and be done with it.
		else
			echo '
			
				', $column['link'], ', ';
	}
	echo '
		</div>';

	// Assuming there are members loop through each one displaying their data.
	if (!empty($context['members']))
	{
		foreach ($context['members'] as $member)
			echo '
		<div class="proinfospm"', empty($member['sort_letter']) ? '' : ' id="letter' . $member['sort_letter'] . '"', '>
		<span class="smalltext">			
				', $context['can_send_pm'] ? '<a href="' . $member['online']['href'] . '" title="' . $member['online']['text'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $member['online']['image_href'] . '" alt="' . $member['online']['text'] . '" align="middle" />' : $member['online']['label'], $context['can_send_pm'] ? '</a>' : '', '
            <span class="middletext"><b>', $member['link'], '</b></span>		
			
			(', empty($member['group']) ? $member['post_group'] : $member['group'], ')<br />
			&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
			&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
			<i>', $txt[233], ': </i><b>', $member['registered_date'], '</b> &#187
			<i>', $txt[26], ': </i><b>', $member['posts'], '</b>
				
			', $member['hide_email'] ? '' : '<a href="mailto:' . $member['email'] . '"><img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . ' ' . $member['name'] . '" /></a>', '
			', $member['website']['url'] != '' ? '<a href="' . $member['website']['url'] . '" target="_blank"><img src="' . $settings['images_url'] . '/www.gif" alt="' . $member['website']['title'] . '" title="' . $member['website']['title'] . '" /></a>' : '', '
			', $member['icq']['link'], '
			', $member['aim']['link'], '
			<span class="yimfix">', $member['yim']['link'], '</span>
			', $member['msn']['link'], '</span>
		</div>';
	}
	// No members?
	else
		echo '<div class="proinfospc"><i>', $txt[170], '</i></div>';					

	// Show the page numbers again. (makes 'em easier to find!)
	echo '
		<div class="pageindex"><span class="pagenavbar">', $txt[139], ': ', $context['page_index'], '</span></div>';

	// If it is displaying the result of a search show a "search again" link to edit their criteria.
	if (isset($context['old_search']))
		echo '
			<div class="proinfospc"><b>
				<a href="', $scripturl, '?action=mlist;sa=search;search=', $context['old_search_value'], '">', $txt['mlist_search2'], '</a></b></div>';
}

// A page allowing people to search the member list.
function template_search()
{
	global $context, $settings, $options, $scripturl, $txt;

	// Start the submission form for the search!
	echo '
		<form action="', $scripturl, '?action=mlist;sa=search" method="post" accept-charset="', $context['character_set'], '">';

	// Display that link tree...
	echo '<div class="linktree">', theme_linktree(), '</div>';
		

	// Display links to view all/search.
        echo '<div class="buttons">';

		foreach ($context['sort_links'] as $link)
		{
			if ($link['selected'])
				echo '
				<i>
					<a href="' . $scripturl . '?action=mlist' . (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '">', $link['label'], '</a>
				</i>';
			else
				echo '
				
					<a href="' . $scripturl . '?action=mlist' . (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '">', $link['label'], '</a> - 
				';
		}

		echo '</div>';
			

	// Display the input boxes for the form.
	echo '
		
	<div class="proinfosp" style="border:none;">
						<b>', $txt[582], ':</b> <input type="text" name="search" value="', $context['old_search'], '" size="35" /> <input type="submit" name="submit" value="' . $txt[182] . '" style="margin-left: 20px;" /><br />
	
								<label for="fields-email"><input type="checkbox" name="fields[]" id="fields-email" value="email" checked="checked" class="check" /> ', $txt['mlist_search_email'], '</label><br />
								<label for="fields-messenger"><input type="checkbox" name="fields[]" id="fields-messenger" value="messenger" class="check" /> ', $txt['mlist_search_messenger'], '</label><br />
								<label for="fields-group"><input type="checkbox" name="fields[]" id="fields-group" value="group" class="check" /> ', $txt['mlist_search_group'], '</label><br />
		
								<label for="fields-name"><input type="checkbox" name="fields[]" id="fields-name" value="name" checked="checked" class="check" /> ', $txt['mlist_search_name'], '</label><br />
								<label for="fields-website"><input type="checkbox" name="fields[]" id="fields-website" value="website" class="check" /> ', $txt['mlist_search_website'], '</label>
	
	</div>
</form>';
}

?>